Entur Developer
Sales v2

processes

Server

Process endpoints for creating and mutating packages, offers, and refunds.


Search available travel offers

POST
https://api.entur.io/omsa/v1
/processes/search-offers/execute

Searches for available offers based on travel and traveller criteria.

Search available travel offers › query Parameters

limit
​integer · min: 1 · max: 10000 · style: form

The optional limit parameter limits the number of items that are presented in the response document. Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted. Minimum = 1. Maximum = 10000. Default = 100.

Default: 100
offset
​integer · min: 0 · style: form

The optional offset parameter representing the starting index of the returned collection. Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted. Default = 0.

Default: 0
bbox
​number[] · style: form

Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth): * Lower left corner, coordinate axis 1 * Lower left corner, coordinate axis 2 * Minimum value, coordinate axis 3 (optional) * Upper right corner, coordinate axis 1 * Upper right corner, coordinate axis 2 * Maximum value, coordinate axis 3 (optional) If the value consists of four numbers, the coordinate reference system is WGS 84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84) unless a different coordinate reference system is specified in the parameter bbox-crs. If the value consists of six numbers, the coordinate reference system is WGS 84 longitude/latitude/ellipsoidal height (http://www.opengis.net/def/crs/OGC/0/CRS84h) unless a different coordinate reference system is specified in the parameter bbox-crs. The query parameter bbox-crs is specified in OGC API - Features - Part 2: Coordinate Reference Systems by Reference. For WGS 84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge). If the vertical axis is included, the third and the sixth number are the bottom and the top of the 3-dimensional bounding box. If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries.

Search available travel offers › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Search available travel offers › Request Body

A package planning request, resulting in package options

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Search available travel offers › Responses

a search offer response

type
​string · pattern: ^(OfferCollection)$ · required
​offer[]
numberMatched
​integer
numberReturned
​integer
​link[]

actions that can be performed on this package, but also alternative (rel=alternative+1, alternative+2) offers or references to other resources In case it is an alternative, specify clearly in the description what the financial consequences are.


Create draft package from selected offers

POST
https://api.entur.io/omsa/v1
/processes/select-offers/execute

Creates or updates a draft package from selected offer identifiers.

Create draft package from selected offers › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create draft package from selected offers › Request Body

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Create draft package from selected offers › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Add traveller to package

POST
https://api.entur.io/omsa/v1
/processes/add-traveller/execute

Adds a traveller to an existing package.

Add traveller to package › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Add traveller to package › Request Body

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Add traveller to package › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Update traveller in package

POST
https://api.entur.io/omsa/v1
/processes/update-traveller/execute

Updates traveller details in an existing package.

Update traveller in package › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update traveller in package › Request Body

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Update traveller in package › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Remove traveller from package

POST
https://api.entur.io/omsa/v1
/processes/remove-traveller/execute

Removes a traveller from an existing package.

Remove traveller from package › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Remove traveller from package › Request Body

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Remove traveller from package › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Assign asset to package leg

POST
https://api.entur.io/omsa/v1
/processes/assign-asset/execute

Assigns an asset to a specific package leg.

Assign asset to package leg › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Assign asset to package leg › Request Body

​assetInput
​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Assign asset to package leg › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Assign ancillary products to package

POST
https://api.entur.io/omsa/v1
/processes/assign-ancillary/execute

Assigns ancillary products to a package or a package leg.

Assign ancillary products to package › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Assign ancillary products to package › Request Body

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Assign ancillary products to package › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Purchase selected offers directly

POST
https://api.entur.io/omsa/v1
/processes/purchase-offers/execute

Purchases selected offers directly and returns the resulting package.

Purchase selected offers directly › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Purchase selected offers directly › Request Body

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Purchase selected offers directly › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Purchase existing package

POST
https://api.entur.io/omsa/v1
/processes/purchase-package/execute

Purchases a previously created package.

Purchase existing package › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Purchase existing package › Request Body

​packageInput
​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Purchase existing package › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Confirm package before purchase

POST
https://api.entur.io/omsa/v1
/processes/confirm-package/execute

Confirms a package before final purchase.

Confirm package before purchase › query Parameters

limit
​integer · min: 1 · max: 10000 · style: form

The optional limit parameter limits the number of items that are presented in the response document. Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted. Minimum = 1. Maximum = 10000. Default = 100.

Default: 100
offset
​integer · min: 0 · style: form

The optional offset parameter representing the starting index of the returned collection. Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted. Default = 0.

Default: 0
bbox
​number[] · style: form

Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth): * Lower left corner, coordinate axis 1 * Lower left corner, coordinate axis 2 * Minimum value, coordinate axis 3 (optional) * Upper right corner, coordinate axis 1 * Upper right corner, coordinate axis 2 * Maximum value, coordinate axis 3 (optional) If the value consists of four numbers, the coordinate reference system is WGS 84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84) unless a different coordinate reference system is specified in the parameter bbox-crs. If the value consists of six numbers, the coordinate reference system is WGS 84 longitude/latitude/ellipsoidal height (http://www.opengis.net/def/crs/OGC/0/CRS84h) unless a different coordinate reference system is specified in the parameter bbox-crs. The query parameter bbox-crs is specified in OGC API - Features - Part 2: Coordinate Reference Systems by Reference. For WGS 84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge). If the vertical axis is included, the third and the sixth number are the bottom and the top of the 3-dimensional bounding box. If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries.

Confirm package before purchase › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Confirm package before purchase › Request Body

​packageInput
​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Confirm package before purchase › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Release package reservation

POST
https://api.entur.io/omsa/v1
/processes/release-package/execute

Releases a package reservation.

Release package reservation › query Parameters

limit
​integer · min: 1 · max: 10000 · style: form

The optional limit parameter limits the number of items that are presented in the response document. Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted. Minimum = 1. Maximum = 10000. Default = 100.

Default: 100
offset
​integer · min: 0 · style: form

The optional offset parameter representing the starting index of the returned collection. Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted. Default = 0.

Default: 0
bbox
​number[] · style: form

Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth): * Lower left corner, coordinate axis 1 * Lower left corner, coordinate axis 2 * Minimum value, coordinate axis 3 (optional) * Upper right corner, coordinate axis 1 * Upper right corner, coordinate axis 2 * Maximum value, coordinate axis 3 (optional) If the value consists of four numbers, the coordinate reference system is WGS 84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84) unless a different coordinate reference system is specified in the parameter bbox-crs. If the value consists of six numbers, the coordinate reference system is WGS 84 longitude/latitude/ellipsoidal height (http://www.opengis.net/def/crs/OGC/0/CRS84h) unless a different coordinate reference system is specified in the parameter bbox-crs. The query parameter bbox-crs is specified in OGC API - Features - Part 2: Coordinate Reference Systems by Reference. For WGS 84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge). If the vertical axis is included, the third and the sixth number are the bottom and the top of the 3-dimensional bounding box. If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries.

Release package reservation › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Release package reservation › Request Body

​packageInput
​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Release package reservation › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Extend package reservation expiry

POST
https://api.entur.io/omsa/v1
/processes/extend-expiry-time/execute

Extends the expiry time for a reserved package.

Extend package reservation expiry › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Extend package reservation expiry › Request Body

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Extend package reservation expiry › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Update travel document validity start

POST
https://api.entur.io/omsa/v1
/processes/update-travel-document-validity/execute

Updates the validity start time for a travel document in a package.

Update travel document validity start › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update travel document validity start › Request Body

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Update travel document validity start › Responses

Validity updated successfully.

previousTravelDocumentId
​string · required

The travel document id that was replaced

newTravelDocumentId
​string · required

The new travel document id with updated validity


Cancel package

POST
https://api.entur.io/omsa/v1
/processes/cancel-package/execute

Cancels an existing purchased or reserved package.

Cancel package › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Cancel package › Request Body

​packageInput
​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Cancel package › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Claim refund option for package

POST
https://api.entur.io/omsa/v1
/processes/claim-refund-option/execute

Claims a refund option for the selected package content.

Claim refund option for package › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier used by downstream sales and ticket distribution services.

Entur-POS
​string · required · style: simple

Point-of-sale identifier used by downstream sales and ticket distribution services.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Claim refund option for package › Request Body

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Claim refund option for package › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Confirm claimed refund option

POST
https://api.entur.io/omsa/v1
/processes/confirm-refund-option/execute

Confirms a previously claimed refund option.

Confirm claimed refund option › Headers

Accept-Language
​shortString · maxLength: 75 · required · style: simple

short string, display names (length 0-75)

authorization
​string · required · style: simple

Header field, JWT must be supplied

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Confirm claimed refund option › Request Body

​subscriber

Optional URIs for callbacks for this job.

Support for this parameter is not required and the parameter may be removed from the API definition, if conformance class 'callback' is not listed in the conformance declaration under /conformance.

Confirm claimed refund option › Responses

a geojson response, containing the package details in the main properties and the legs are represented in the features

a purchased package is a registration of an agreement between end user and TO, to execute a package (=set of legs) according a specification, including all conditions
type
​string · pattern: ^(package)$ · required
status
​packageStatus · enum · required

The life-cycle state of the package (from NEW to ENDED)
OFFERED the package is offered
SELECTED the package is selected to modify
PENDING the purchase of the package is not confirmed (the end user has shown intentions to purchase this offer), must be finalized with the package-confirm operation
CONFIRMED a finalized package ('purchased'). Both parties agreed to deliver services in return of payment
CANCELLED the package is cancelled after it is purchased. The agreement will specify whether there is a refund, or under which conditions
EXPIRED the MP didn't respond on time, the package offer has been expired
STARTED the package is started, the trip execution module is needed now to manage the execution of the package
ENDED the package has ended, the trip has been executed
RELEASED for internal archiving, the package has not been purchased.

Enum values:
OFFERED
SELECTED
PENDING
CONFIRMED
RELEASED
EXPIRED
CANCELLED
REFUND_CLAIMED
​amountOfMoney · required

an amount of money, usable in fares, fare calculations or in extra costs.

​offer[] · required
​placeReference[] · minItems: 0 · maxItems: 3

use an ID contained in the placeDefinitions field, or from an external source, when using coordinates, please use the prefix 'gps:'

startTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

endTime
​dateTime · date-time

https://www.rfc-editor.org/rfc/rfc3339#section-5.6, date-time (2019-10-12T07:20:50.52Z)

​postalAddress[] · minItems: 0 · maxItems: 3

Places that are not specified in an external data source (like a home address)

id
​string
externalReference
​normalString · maxLength: 200

default string, full names etc (length 0-200)

guarantees
​normalString[]
​array
​link[]

Did you find what you were looking for?